Subject: [Ecrit] [Errata Verified] RFC5222 (4176)

From: [email-masked]
Date: Sun, 3 Apr 2016 06:39:34 -0700 (PDT)

FYI, this has been changed to "Status: Verified" per a request from Alissa Cooper.

Thank you.
RFC Editor/ar

On Apr 3, 2016, at 10:10 AM, RFC Errata System <[email-masked]> wrote:

The following errata report has been held for document update 
for RFC5222, "LoST: A Location-to-Service Translation Protocol". 

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata_search.php?rfc=5222&eid=4176

--------------------------------------
Status: Held for Document Update
Type: Technical

Reported by: Dan Banks <[email-masked]>
Date Reported: 2014-11-13
Held by: Alissa Cooper (IESG)

Section: 15 & Apdx A

Original Text
-------------
Section 15:  

exceptionContainer =
   (badRequest?
    & internalError?
    & serviceSubstitution?
    & defaultMappingReturned?
    & forbidden?
    & notFound?
    & loop?
    & serviceNotImplemented?
    & serverTimeout?
    & serverError?
    & locationInvalid?
    & locationProfileUnrecognized?),
   extensionPoint,
   source

And:

 serverError = element serverError { basicException }
 locationInvalid = element locationInvalid { basicException }

Appendix A:

          <optional>
            <ref name="serverError"/>
          </optional>
          <optional>
            <ref name="locationInvalid"/>
          </optional>

And:

      <define name="serverError">
        <element name="serverError">
          <ref name="basicException"/>
        </element>
      </define>

      <define name="locationInvalid">
        <element name="locationInvalid">
          <ref name="basicException"/>
        </element>
      </define>

Corrected Text
--------------
Section 15:  

exceptionContainer =
   (badRequest?
    & internalError?
    & serviceSubstitution?
    & defaultMappingReturned?
    & forbidden?
    & notFound?
    & loop?
    & serviceNotImplemented?
    & serverTimeout?
    & serverError?
    & SRSInvalid?
    & locationInvalid?
    & locationProfileUnrecognized?),
   extensionPoint,
   source

And:

 serverError = element serverError { basicException }
 SRSInvalid = element SRSInvalid { basicException }
 locationInvalid = element locationInvalid { basicException }

Appendix A:

          <optional>
            <ref name="serverError"/>
          </optional>
          <optional>
            <ref name="SRSInvalid"/>
          </optional>
          <optional>
            <ref name="locationInvalid"/>
          </optional>

And:

      <define name="serverError">
        <element name="serverError">
          <ref name="basicException"/>
        </element>
      </define>

      <define name="SRSInvalid">
        <element name="SRSInvalid">
          <ref name="basicException"/>
        </element>
      </define>

      <define name="locationInvalid">
        <element name="locationInvalid">
          <ref name="basicException"/>
        </element>
      </define>

Notes
-----
The SRSInvalid error is defined in section 13.1, but was omitted from the schemas.

--------------------------------------
RFC5222 (draft-ietf-ecrit-lost-10)
--------------------------------------
Title               : LoST: A Location-to-Service Translation Protocol
Publication Date    : August 2008
Author(s)           : T. Hardie, A. Newton, H. Schulzrinne, H. Tschofenig
Category            : PROPOSED STANDARD
Source              : Emergency Context Resolution with Internet Technologies RAI
Area                : Real-time Applications and Infrastructure
Stream              : IETF
Verifying Party     : IESG